# Stateful Set Metrics

| Metric name                                                    | Description                                                                                                        | Status |
| -------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------ | ------ |
| kruise_statefulset_created                                     | Unix creation timestamp                                                                                            | STABLE |
| kruise_statefulset_status_replicas                             | Number of desired pods for a StatefulSet.                                                                          | STABLE |
| kruise_statefulset_status_replicas_available                   | The number of available replicas per StatefulSet.                                                                  | STABLE |
| kruise_statefulset_status_replicas_current                     | The number of current replicas per StatefulSet.                                                                    | STABLE |
| kruise_statefulset_status_replicas_ready                       | The number of ready replicas per StatefulSet.                                                                      | STABLE |
| kruise_statefulset_status_replicas_updated                     | The number of updated replicas per StatefulSet.                                                                    | STABLE |
| kruise_statefulset_status_observed_generation                  | The generation observed by the StatefulSet controller.                                                             | STABLE |
| kruise_statefulset_status_condition                            | The current status conditions of a statefulset                                                                     | STABLE |
| kruise_statefulset_status_current_revision                     | Indicates the version of the StatefulSet used to generate Pods in the sequence [0,currentReplicas).                | STABLE |
| kruise_statefulset_status_update_revision                      | Indicates the version of the StatefulSet used to generate Pods in the sequence [replicas-updatedReplicas,replicas) | STABLE |
| kruise_statefulset_metadata_generation                         | Sequence number representing a specific generation of the desired state for the StatefulSet.                       | STABLE |
| kruise_statefulset_spec_replicas                               | Number of desired pods for a statefulset                                                                           | STABLE |
| kruise_statefulset_spec_strategy_rollingupdate_max_unavailable | Maximum number of unavailable replicas during a rolling update of a statefulset                                    | STABLE |
| kruise_statefulset_spec_reserveordinals                        |                                                                                                                    | STABLE |
| kruise_statefulset_spec_strategy_type                          | The type of updateStrategy                                                                                         | STABLE |
| kruise_statefulset_labels                                      | Kubernetes labels converted to Prometheus labels.                                                                  | STABLE |